﻿local addon_name = ...
local addon = LibStub("AceAddon-3.0"):GetAddon(addon_name)

if not TRANSLATOR_LOCALE_LOADER then
    TRANSLATOR_LOCALE_LOADER = {}
end

local file_locale = 'ruRU'
local game_locale = GetLocale()

TRANSLATOR_LOCALE_LOADER[file_locale] = function()
	local is_default, errors_turned_of_on_unknown_locale = true, true
	local L = LibStub("AceLocale-3.0"):NewLocale(addon_name, game_locale, is_default, errors_turned_of_on_unknown_locale)
	if not L then return end

	--global things
	L["On"] = "Вкл."
	L["Off"] = "Выкл."
	L["Right click on the minimap button to open settings.\nClick on the point tooltip to quickly manage the addon."] = "Нажмите ПКМ на кнопку миникарты, чтобы открыть настройки.\nНажмите на пункт в подсказке для быстрого управления аддоном."
	L[" loaded. Type /tr or /translator for help."] = " загружен. Введите /tr или /translator для помощи."
	--databases
	L["areatrigger_teleport_desc"] = "База данных с сообщениями, когда не выполнены требования на вход в подземелье."
	L["creature_ai_texts_desc"] = "База данных фраз NPC/существ."
	L["creature_Name_desc"] = "База данных имен NPC."
	L["creature_SubName_desc"] = "База данных подписи NPC."
	L["dbscript_string_desc"] = "База данных фраз NPC/существ."
	L["gameobject_desc"] = "База данных названий объектов."
	L["gossip_menu_option_desc"] = "База данных пунктов диалога с NPC."
	L["gossip_texts_desc"] = "База данных пунктов диалога с NPC."
	L["item_description_desc"] = "База данных подписи предметов."
	L["item_name_desc"] = "База данных названий предметов."
	L["mangos_string_desc"] = "База данных строк MaNGOS."
	L["npc_text_desc"] = "База данных текстов NPC."
	L["page_text_desc"] = "База данных книг."
	L["points_of_interest_desc"] = "База данных точек на миникарте в поиске у NPC."
	L["questgiver_greeting_desc"] = "База данных текстов NPC."
	L["quest_details_desc"] = "База данных описания заданий."
	L["quest_EndText_desc"] = "База данных целей заданий."
	L["quest_objectives_desc"] = "База данных целей заданий."
	L["quest_ObjectiveText_desc"] = "База данных описания целей заданий."
	L["quest_OfferRewardText_desc"] = "База данных текста завершения заданий."
	L["quest_RequestItemsText_desc"] = "База данных текста завершения заданий."
	L["quest_title_desc"] = "База данных названий заданий."
	L["script_texts_desc"] = "База данных фраз NPC/существ."
	--dependences
	L["Tooltips"] = "Подсказки"
	L["Quests"] = "Задания"
	L["Items"] = "Предметы"
	L["NPC"] = "NPC"
	L["Books"] = "Книги"
	L["Phrases/Messages"] = "Фразы/Сообщения"
	L["Other"] = "Другое"
	--blizzard functions
	L["GameTooltip_desc"] = "Обычные всплывающие подсказки."
	L["ItemRefTooltip_desc"] = "Подсказка при нажатии ссылки на предмет."
	L["ShoppingTooltip1_desc"] = "Подсказка при сравнении текущего предмета с экипированным."
	L["ShoppingTooltip2_desc"] = "Подсказка при сравнении текущего предмета с экипированным, если их два. (Например оружие левой и правой рук или два аксессуара)."
	L["AuctionFrameAuctions_Update_desc"] = "Окно лотов аукциона."
	L["AuctionFrameBid_Update_desc"] = "Окно ставок аукциона."
	L["AuctionFrameBrowse_Update_desc"] = "Окно просмотра аукциона."
	L["AuctionsFrameAuctions_ValidateAuction_desc"] = "Предмет, выставляемый на продажу."
	L["BankFrame_ShowPanel_desc"] = "Окно банка."
	L["ChatFrameEditBox:AddMessage_desc"] = "Панель для ввода сообщения в чат."
	L["ChatFrame_desc"] = "Окно чата."
	L["ClassTrainerFrame_Update_desc"] = "Окно классового тренера."
	L["CraftFrame_SetSelection_desc"] = "Окно профессии."
	L["GossipFrameUpdate_desc"] = "Окно общения с NPC."
	L["GroupLootFrame_OnShow_desc"] = "Панель разыгрываемого предмета."
	L["GuildRegistrar_OnShow_desc"] = "Окно регистрации гильдии."
	L["InboxFrame_Update_desc"] = "Окно входящих писем."
	L["ItemTextFrame_desc"] = "Окно чтения книг."
	L["LootFrame_Update_desc"] = "Окно добычи."
	L["MerchantFrame_UpdateBuybackInfo_desc"] = "Окно выкупа у торговца."
	L["MerchantFrame_UpdateMerchantInfo_desc"] = "Окно покупки у торговца."
	L["OpenMail_Update_desc"] = "Окно открытого письма."
	L["QuestInfo_ShowRewards_desc"] = "Награды в окне журнала заданий."
	L["QuestFrameDetailPanel_desc"] = "Окно с описанием заданий у NPC."
	L["QuestFrameGreetingPanel_OnShow_desc"] = "Окно с текстом приветствия NPC."
	L["QuestFrameItems_Update_desc"] = "Предметы в окне c описанием и текстом завершения заданий у NPC."
	L["QuestFrameProgressItems_Update_desc"] = "Предметы в окне c текстом прогресса заданий у NPC."
	L["QuestFrameProgressPanel_desc"] = "Окно c текстом прогресса заданий у NPC."
	L["QuestFrameRewardPanel_desc"] = "Окно c текстом завершения заданий у NPC."
	L["QuestFrame_SetPortrait_desc"] = "Панель с именем NPC, дающего задание."
	L["QuestLog_UpdateQuestDetails_desc"] = "Описание заданий в журнале."
	L["QuestLog_Update_desc"] = "Название заданий в журнале."
	L["QuestWatch_Update_desc"] = "Окно отслеживания заданий."
	L["SendMailFrame_Update_desc"] = "Авто тема письма в окне отправки письма."
	L["StaticPopup_Show_desc"] = "Окно всплывающих сообщений."
	L["TabardFrame_OnEvent_desc"] = "Окно настройки гербовой накидки."
	L["TaxiFrame_OnEvent_desc"] = "Окно перелетов."
	L["TradeFrame_UpdatePlayerItem_desc"] = "Окно торговли для предметов игрока."
	L["TradeFrame_UpdateTargetItem_desc"] = "Окно торговли для предметов целей."
	L["TradeSkillFrame_SetSelection_desc"] = "Окно стандартных профессий (Первая помощь и т.д.)."
	L["UIErrorsFrame_OnEvent_desc"] = "Всплывающие сообщения в верхней части экрана (красные ошибки или жёлтые сообщения информационного характера)."
	L["UnitFrame_Update_desc"] = "Окно цели."
	L["QuestLogFrame_desc"] = "Журнал заданий."
	L["QuestFrame_desc"] = "Окно принятия/сдачи заданий."
	L["QuestWatchFrame_desc"] = "Отслеживание заданий."
	--api functions
	L["Container/Bag Functions"] = "Функции контейнера/сумки"
	L["GetBagName_desc"] = "Возвращает имя одной из сумок игрока."
	L["Loot Functions"] = "Функции добычи"
	L["GetLootRollItemInfo_desc"] = "Возвращает информацию о текущем разыгрываемым предмете."
	L["GetLootSlotInfo_desc"] = "Возвращает информацию о текущем предмете в окне добычи."
	L["Gossip Functions"] = "Функции общения"
	L["GetGossipText_desc"] = "Возвращает приветствие или другой текст, отображаемый в диалоге NPC."
	L["Mail Functions"] = "Функции писем"
	L["GetInboxInvoiceInfo_desc"] = "Возвращает информацию о успешных торгах на аукционе, которая написана в письме."
	L["Merchant Functions"] = "Функции торговли"
	L["GetMerchantItemInfo_desc"] = "Возвращает информацию о товаре, доступном для покупки у торговца."
	L["Trade Functions"] = "Функции обмена"
	L["GetTradePlayerItemInfo_desc"] = "Возвращает информацию о предметах в окне торговли игрока."
	L["GetTradeTargetItemInfo_desc"] = "Возвращает информацию о предметах в окне торговли целей."
	L["Training Functions"] = "Функции обучения"
	L["GetTrainerGreetingText_desc"] = "Возвращает текст приветствия текущего тренера."
	L["Quest Functions"] = "Функции заданий"
	L["GetGreetingText_desc"] = "Возвращает текст приветствия, отображаемый для NPC с несколькими заданиями."
	L["GetTitleText_desc"] = "Возвращает название задания во время разговора с NPC."
	L["GetObjectiveText_desc"] = "Возвращает цель текущего задания."
	L["GetQuestText_desc"] = "Возвращает описание текущего задания."
	L["GetProgressText_desc"] = "Возвращает текст хода выполнения задания, представленный NPC."
	L["GetRewardText_desc"] = "Возвращает диалог с NPC, отображаемый при завершении задания."
	L["GetQuestItemInfo_desc"] = "Возвращает основную информацию о предметах заданий."
	L["GetQuestLogTitle_desc"] = "Возвращает строку, которая связана с конкретным заголовком журнала заданий."
	L["GetQuestLogLeaderBoard_desc"] = "Возвращает информацию о целях задания."
	L["GetQuestLogQuestText_desc"] = "Возвращает описание и цели, необходимые для указанного задания."
	L["GetQuestLogChoiceInfo_desc"] = "Возвращает набор данных о выборе награды за выполнение задания из журнала заданий."
	L["GetQuestLogRewardInfo_desc"] = "Возвращает информацию о награде."
	L["Unit Functions"] = "Функции NPC/существ"
	L["GetUnitName_desc"] = "Возвращает имя NPC."
	--other options
	L["General"] = "Общее"
	L["Databases"] = "Базы данных"
	L["Global database switching.\nATTENTION! If you disable the databases in this menu, they will be disabled throughout the addon and will not be used. Use this menu to quickly enable / disable databases."] = "Глобальное переключение базы данных.\nВНИМАНИЕ! Если вы отключите базы данных в этом меню, они отключатся во всем аддоне и не будут использоваться. Используйте данное меню для быстрого включения/отключения баз данных."
	L["Translation"] = "Перевод"
	L["Select categories to translate."] = "Выберите категории для перевода."
	L["API localization"] = "Локализация функций API"
	L["Full api translation can translate many things in other addons, but addons, which works with databases, containing original language info won't work."] = "Локализация функций API позволит автоматически локализовать многие аддоны, но возникнут проблемы с аддонами, которые пользуются своими базами данных на другом языке."

	L["Chat Bubbles update interval"] = "Интервал обновления пузырей чата"
	L["Set refresh interval for chat bubbles. Zero value will stop updating and translating."] = "Установите интервал обновления текста в пузырях над головами NPC. Нулевое значение прекратит обновление и перевод."
	L["Language"] = "Язык"
	L["Set language for translate."] = "Выберите язык перевода."
	L["Is compensated with following API hooks:"] = "Компенсируется следующей заменой API:"
	L["Are you sure you want to change the translation?"] = "Вы действительно хотите изменить перевод?"

	L["Databases loading"] = "Загрузка баз данных"
	L["Config speed depending on the hardware capabilities."] = "Настройте скорость в зависимости от железа"
	L["Delay"] = "Задержка"
	L["Set delay after after loading the interface and addons.\n(non-negative number of seconds)"] = "Установите задержку после прогрузки интерфейса и аддонов.\n(неотрицательное число в секундах)"
	L["Speed"] = "Скорость"
	L["Set delay between processing of the database blocks."] = "Установите задержку между обработкой блоков базы данных."
	L["<Type seconds >= 0.>"] = "<Введите число (секунды) >= 0.>"
	L["Size of block"] = "Размер блока"
	L["Set size of block that is processed at a time.\n(non-negative number of database strings)"] = "Установите размер блоков, которые обрабатываются за раз.\n(неотрицательное число строк базы данных)"

	if game_locale == "ruRU" then
		BINDING_NAME_TRANSLATE = "Переключить перевод"

		EMOTE_LIST = {
			"%s соглашается с %s.",
			"Вы соглашаетесь с %s.",
			"%s восхищается %s!",
			"Вы восхищены %s!",
			"%s в гневе замахивается кулаком на %s.",
			"Вы в гневе замахиваетесь кулаком на %s.",
			"%s в гневе замахивается на %s.",
			"%s извиняется перед %s.",
			"Вы извиняетесь перед %s. Прости!",
			"%s рукоплещет %s. Браво!",
			"Вы рукоплещете %s. Браво!",
			"%s стесняется привлечь внимание %s.",
			"Вы слишком застенчивы, чтобы привлечь внимание %s.",
			"%s жестом подзывает %s.",
			"Вы жестом подзываете %s.",
			"%s умоляет %s. Ничтожество!",
			"Вы с мольбой смотрите на %s. Выглядит жалко.",
			"%s кусает %s. Ой!",
			"Вы кусаете %s. Ох!",
			"Раны %s кровоточат.",
			"%s моргает, глядя на %s.",
			"Вы моргаете, глядя на %s.",
			"%s заливается краской при виде %s.",
			"Вы заливаетесь краской при виде %s.",
			"%s бьет %s по голове. Буммм!",
			"Вы бьете %s по голове. Буммм!",
			"%s бьет себя по голове. Буммм!",
			"%2$s окончательно утомляет %1$s.",
			"%s прыгает на месте перед %s.",
			"Вы прыгаете на месте перед %s.",
			"%s сейчас вернется. Держись, %s!",
			"Вы показываете %s, что сейчас вернетесь.",
			"%s кланяется %s.",
			"Вы кланяетесь %s.",
			"%s грубо рыгает в лицо %s.",
			"Вы грубо рыгаете в лицо %s.",
			"%s машет на прощание %s. До свидания!",
			"Вы машете рукой %s. До свидания!",
			"%s громко хохочет над %s.",
			"Вы глупо хохочете над %s.",
			"%s радуется успехам %s!",
			"%s радуется вашим успехам.",
			"Вы радуетесь успехам %s.",
			"Хлопая руками, %s расхаживает вокруг %s. Цыпа-цыпа-цыпа!",
			"Хлопая руками, вы расхаживаете вокруг %s. Цыпа-цыпа-цыпа!",
			"%s хихикает при виде %s.",
			"Вы хихикаете над %s.",
			"%s восторженно рукоплещет %s.",
			"Вы восторженно апплодируете %s.",
			"%s недоуменно смотрит на %s.",
			"Вы недоуменно смотрите на %s.",
			"%s поздравляет %s.",
			"Вы поздравляете %s.",
			"%s кашляет, пытаясь привлечь внимание %s.",
			"Вы кашляете, привлекая внимание %s.",
			"%s дрожит от страха при виде %s.",
			"Вы дрожите от страха при виде %s.",
			"%s похрустывает костяшками пальцев, глядя на %s.",
			"Вы похрустываете костяшками, глядя на %s.",
			"%s пятится от %s.",
			"Вы в страхе пятитесь от %s.",
			"%s рыдает на плече %s.",
			"Вы рыдаете на плече у %s.",
			"%s интересно, что будет делать %s.",
			"%s приседает перед %s.",
			"Вы делаете реверанс перед %s.",
			"%s делает реверанс.",
			"%s танцует с %s.",
			"Вы танцуете с %s.",
			"%s пьет за %s. Ваше здоровье!",
			"Вы пьете за %s. Ваше здоровье!",
			"%s млеет, глядя на %s.",
			"Вы млеете, глядя на %s.",
			"%s начинает есть на глазах у %s.",
			"Вы начинаете есть на глазах у %s.",
			"%s меряет взглядом %s.",
			"Вы меряете взглядом %s.",
			"%s трется о %s и громко испускает газы.",
			"Вы третесь об %s и громко испускаете газы.",
			"%s нервничает, ожидая %s.",
			"Вы нервничаете, ожидая %s.",
			"%s поигрывает мускулами перед %s. Какая сила!",
			"Вы поигрываете мускулами перед %s. Какая сила!",
			"%s досадливо хмурится, глядя на %s.",
			"Вы хмуро смотрите на %s.",
			"%s ахает при виде %s.",
			"Вы ахаете при виде %s.",
			"%s пожирает взглядом %s.",
			"Вы пожираете взглядом %s.",
			"%s хихикает, глядя на %s.",
			"Вы хихикаете при виде %s.",
			"%s бросает гневный взгляд на %s.",
			"Вы бросаете гневный взгляд на %s.",
			"%s злорадствует по поводу неудачи %s.",
			"Вы злорадствуете по поводу неудачи %s.",
			"%s тепло приветствует %s.",
			"Вы тепло приветствуете %s.",
			"%s злобно ухмыляется %s.",
			"Вы злобно ухмыляетесь %s.",
			"%s смотрит на %s и стонет.",
			"Вы смотрите на %s и стонете.",
			"%s ползает на брюхе перед %s, как услужливый слуга.",
			"Вы ползаете перед %s, как услужливый слуга.",
			"%s смотрит на %s и ржет во весь голос!",
			"Вы смотрите на %s и ржете!",
			"%s приветствует %s.",
			"Вы приветствуете %s.",
			"%s не может нарадоваться %s!",
			"Вы очень угодили %s!",
			"Вы очень довольны %s!",
			"%s сердечно приветствует %s!",
			"Вы от всего сердца приветствуете %s!",
			"%s крепко обнимает %s.",
			"Вы крепко обнимаете %s.",
			"%s хочет есть. Может, у %s найдется какая-нибудь еда...",
			"Вы голодны. Возможно, у %s есть что-нибудь поесть...",
			"%s посылает воздушный поцелуй %s.",
			"Вы посылаете воздушный поцелуй %s.",
			"%s преклоняет колени перед %s.",
			"Вы преклоняете колена перед %s.",
			"%s смеется над %s.",
			"Вы смеетесь над %s.",
			"%s ложится перед %s.",
			"Вы ложитесь перед %s.",
			"%s массирует плечи %s.",
			"Вы массируете плечи %s.",
			"%s призывно стонет перед %s.",
			"Вы призывно стонете перед %s.",
			"%s снимает штаны и показывает зад %s.",
			"Вы снимаете штаны и показываете зад %s.",
			"%s показывает голый зад %s.",
			"В глубоком молчании %s скорбит о смерти %s.",
			"В глубоком молчании вы скорбите о гибели %s.",
			"%s говорит %s: \"НЕТ! Этому не бывать!\"",
			"Вы отвечаете %s: \"НЕТ! Этому не бывать!\"",
			"%s кивает %s.",
			"Вы киваете %s.",
			"%s выковыривает из носу козявку и показывает ее %s.",
			"Вы достаете из носу козявку и показываете ее %s.",
			"%s выковыривает из носа козявку и показывает %s.",
			"%s бросает взгляд на %s и впадает в панику.",
			"Вы бросаете взгляд на %s и впадаете в панику.",
			"%s испытующе смотрит на %s.",
			"Вы испытующе смотрите на %s.",
			"%s умоляет %s.",
			"Вы умоляете %s.",
			"%s показывает на %s.",
			"Вы показываете на %s.",
			"%s пихает %s локтем. Эй!",
			"Вы пихаете в бок %s. Эй!",
			"%s молится за %s.",
			"Вы молитесь за %s.",
			"%s бешено рычит на %s. Вот это ярость!",
			"Вы в бешенстве рычите на %s. Вот это ярость!",
			"%s катается от смеха по полу, глядя на %s.",
			"Вы катаетесь от смеха по полу, глядя на %s.",
			"%s делает неприличный жест в сторону %s.",
			"Вы делаете неприличный жест в сторону %s.",
			"%s отдает честь %s.",
			"Вы почтительно отдаете честь %s.",
			"%s чешет %s. Как котяво!",
			"Вы чешете %s. Как котяво!",
			"%s считает, что %s – сама сексуальность.",
			"Вы думаете, что %s – сама сексуальность.",
			"%s слишком сексуален... Невыносимо!",
			"%s слишком сексуальна... прямо невыносимо!",
			"%s вертит задом перед %s.",
			"Вы вертите задом перед %s.",
			"%s кричит на %s.",
			"Вы кричите на %s.",
			"%s пожимает плечами в ответ %s. Кто знает?",
			"Вы пожимаете плечами в ответ %s. Кто знает?",
			"%s застенчиво улыбается %s.",
			"Вы застенчиво улыбаетесь %s.",
			"%s вздыхает, глядя на %s.",
			"Вы вздыхаете, глядя на %s.",
			"%s скалится и ворчит на %s.",
			"Вы скалитесь и ворчите на %s.",
			"%s скалится и рычит на %s.",
			"%s плюет в %s.",
			"Вы плюете в %s.",
			"%s меряет взглядом %s.",
			"Вы меряете взглядом %s.",
			"%s в недоумении от действий %s.",
			"Вы удивлены действиями %s.",
			"%s сдается %s. Тяжела горечь поражения...",
			"Вы сдаетесь %s. Тяжела горечь поражения...",
			"%s хочет поговорить о делах с %s.",
			"Вы хотите обсудить дела с %s.",
			"%s оживленно разговаривает с %s.",
			"Вы возбужденно разговариваете с %s.",
			"%s спрашивает %s.",
			"Вы спрашиваете %s.",
			"%s притопывает ногой в ожидании %s.",
			"Вы притопываете ногой в ожидании %s.",
			"%s благодарит %s.",
			"Вы благодарите %s.",
			"%s угрожает %s гневом судьбы.",
			"Вы пророчите %s кару небесную.",
			"%s показывает %s, что он устал.",
			"Вы показываете %s, что устали.",
			"%s показывает %s, что она устала.",
			"%s упивается славой вместе с %s.",
			"Вы упиваетесь славой вместе с %s.",
			"%s машет рукой %s.",
			"Вы машете рукой %s.",
			"%s приветствует %s.",
			"Вы приветствуете %s.",
			"%s жалобно скулит перед %s.",
			"Вы жалобно скулите перед %s.",
			"%s свистит %s.",
			"Вы свистите %s.",
			"%s работает с %s.",
			"Вы работаете с %s.",
			"%s сонно зевает, глядя на %s.",
			"Вы лениво зеваете, глядя на %s.",
			"%s изумленно смотрит на %s.",
			"Вы изумленно смотрите на %s.",
			"%s пытается успокоить %s.",
			"Вы пытаетесь успокоить %s.",
			"%s показывает %s, что ему холодно.",
			"Вы показываете %s, что вы замерзли.",
			"%s показывает %s, что ей холодно.",
			"%s утешает %s.",
			"Вы утешаете %s.",
			"%s прижимается к %s.",
			"Вы прижимаетесь к %s.",
			"%s прячется за спину %s.",
			"Вы прячетесь за спину %s.",
			"%s думает, что %s – отродье пьяного огра.",
			"%s думает, что вы – отродье пьяного огра.",
			"Вы думаете, что %s – отродье пьяного огра.",
			"%s представляется %s.",
			"Вы представляетесь %s.",
			"%s показывает %s, что это была всего лишь шутка!",
			"Вы показываете %s, что это просто шутка!",
			"%s дает понять %s, что это была всего лишь шутка!",
			"%s облизывает %s.",
			"Вы облизываете %s.",
			"%s внимательно слушает %s.",
			"Вы внимательно слушаете %s.",
			"%s хочет показать %s, что он в полном недоумении.",
			"Вы хотите показать %s, что вы в полной растерянности.",
			"%s хочет объяснить %s, что она в полном недоумении.",
			"%s смеется над глупостью %s.",
			"Вы смеетесь над глупостью %s.",
			"%s обдумывает действия %s.",
			"Вы обдумываете действия %s.",
			"%s бросается на %s.",
			"Вы бросаетесь на %s.",
			"%s превозносит %s.",
			"Вы превозносите %s.",
			"%s мурлычет %s.",
			"Вы мурлычете %s.",
			"%s не понимает %s.",
			"Вы озадачены поведением %s.",
			"%s смотрит на %s и поднимает руку.",
			"Вы смотрите на %s и поднимаете руку.",
			"%s показывает %s, что готов!",
			"Вы показываете %s, что вы готовы!",
			"%s танцует перед %s.",
			"Вы танцуете перед %s.",
			"%s дрожит под боком у %s. Холодно!",
			"Вы дрожите рядом с %s. Холодно!",
			"%s отгоняет %s. Сгинь, зараза!",
			"Вы отгоняете %s. Сгинь, зараза!",
			"%s дает пощечину %s. Ох!",
			"Вы даете пощечину %s. Ох!",
			"%s хитро улыбается %s.",
			"Вы хитро ухмыляетесь %s.",
			"%s обнюхивает %s.",
			"Вы обнюхиваете %s.",
			"%s бранит %s.",
			"Вы браните %s.",
			"%s утешает %s. Ну-ну, все будет хорошо...",
			"Вы утешаете %s. Ну-ну, все будет хорошо...",
			"%s обнюхивает %s. Ууу, чем это воняет?!",
			"Вы обнюхиваете %s. Ууу, чем это воняет?!",
			"%s глумливо дразнит %s. Ну, давай!",
			"Вы глумливо поддразниваете %s. Ну, давай!",
			"%s дразнит %s.",
			"Вы дразните %s.",
			"%s показывает %s, что хочет пить. Дадите глоточек?",
			"Вы показываетете %s, что хотите пить. Дадите глоточек?",
			"%s показывает %s, что хочет пить. Не дадите глоточек?",
			"%s запрещает %s двигаться.",
			"Вы запрещаете %s двигаться.",
			"%s давится от смеха, глядя на %s.",
			"Вы давитесь от смеха, глядя на %s.",
			"%s щекочет %s. Хи-хи!",
			"Вы щекочете %s. Хи-хи!",
			"%s играет для %s на маленькой скрипочке.",
			"Вы играете на маленькой скрипочке для %s.",
			"%s улыбается %s.",
			"Вы улыбаетесь %s.",
			"%s показывает %s, что она готова!",
			"%s делает неприличный жест в сторону %s.",
			"Вы делаете неприличный жест в сторону %s.",
			"%s с жалостью взирает на %s.",
			"Вы с жалостью взираете на %s.",
			"%s угрожающе рычит на %s.",
			"Вы угрожающе рычите на %s.",
			"%s рявкает на %s.",
			"Вы рявкаете на %s.",
			"%s пугается %s.",
			"Вы пугаетесь %s.",
			"%s беспомощно суетится вокруг %s.",
			"Вы беспомощно суетитесь вокруг %s.",
			"%s любит %s.",
			"Вы любите %s.",
			"%s мычит на %s. Муууууууу!",
			"Вы мычите на %s. Мууууууу!",
			"%s хвалит %s за хорошую работу.",
			"Вы хвалите %s за хорошую работу.",
			"%s кричит %s: \"Беги!\"",
			"Вы кричите %s: \"Беги!\"",
			"Вы велите всем атаковать %s.",
			"%s жестом велит %s следовать за собой.",
			"%s просит %s подождать.",
			"Вы просите %s подождать.",
			"%s флиртует с %s.",
			"Вы флиртуете с %s.",
			"%s рассказывает анекдот %s.",
			"Вы рассказываете анекдот %s.",
			"%s подчеркнуто равнодушно аплодирует %s.",
			"Вы подчеркнуто равнодушно аплодируете %s.",
			"%s хитро подмигивает %s.",
			"Вы хитро подмигиваете %s.",
			"%s ласково гладит %s.",
			"Вы ласково гладите %s.",
			"Вы показываете неприличный жест %s."
		}
	end
end
